%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw-p11-kit
Version:        0.9
Release:        4%{?dist}
Summary:        MinGW Library for loading and sharing PKCS#11 modules

License:        BSD
Group:          Development/Libraries
URL:            http://p11-glue.freedesktop.org/p11-kit.html
Source0:        http://p11-glue.freedesktop.org/releases/p11-kit-%{version}.tar.gz
Patch0:         p11-kit-mingw-w64-compatibility.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 69
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-iconv

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

# Yes, really ...
BuildRequires:  pkgconfig

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext
# For native GTK HTML documentation
BuildRequires:  gtk-doc

Requires:       pkgconfig


%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as 
a standard configuration setup for installing PKCS#11 modules in such a 
way that they're discoverable.  This library is cross-compiled for MinGW.


%package -n mingw32-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules


%description -n mingw32-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as 
a standard configuration setup for installing PKCS#11 modules in such a 
way that they're discoverable.  This library is cross-compiled for MinGW.


%{?_mingw32_debug_package}


%prep
%setup -q -n p11-kit-%{version}

%patch0


%build
%{_mingw32_configure}
# %{?_smp_mflags} doesn't build correctly.
make V=1


%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_mingw32_datadir}/info/dir

# Remove gtk-doc pages which duplicate stuff in Fedora already.
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc


%files -n mingw32-p11-kit
%doc COPYING
%{_mingw32_bindir}/libp11-kit-0.dll
%{_mingw32_bindir}/p11-kit.exe
%{_mingw32_libdir}/libp11-kit.dll.a
%{_mingw32_libdir}/libp11-kit.la
%{_mingw32_libdir}/pkgconfig/p11-kit-1.pc
%{_mingw32_includedir}/p11-kit-1/
%{_mingw32_sysconfdir}/pkcs11


%changelog
* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-4
- Include w64 patch.
- Match release number of cross repo.

* Wed Nov 16 2011 Michael Cronenworth <mike@cchtml.com> - 0.9-1
- Initial RPM release.

